Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DERNumericString

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ASN1Primitive
              org.bouncycastle.asn1.ASN1NumericString
                  org.bouncycastle.asn1.DERNumericString

All Implemented Interfaces:
  ASN1Encodable, ASN1String, Encodable

public class DERNumericString
extends ASN1NumericString

DER NumericString object - this is an ascii string of characters {0,1,2,3,4,5,6,7,8,9, }. ASN.1 NUMERIC-STRING object.

This is an ASCII string of characters {0,1,2,3,4,5,6,7,8,9} + space.

See X.680 section 37.2.

Explicit character set escape sequences are not allowed.

Constructor Summary
`DERNumericString(java.lang.String string)` Basic constructor - without validation..
`DERNumericString(java.lang.String string, boolean validate)` Constructor with optional validation.

Methods inherited from class org.bouncycastle.asn1.ASN1NumericString
`getInstance, getInstance, getOctets, getString, getTagged, hashCode, isNumericString, toString`

Methods inherited from class org.bouncycastle.asn1.ASN1Primitive
`encodeTo, encodeTo, equals, equals, equals, fromByteArray, fromStream, toASN1Primitive`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`getEncoded, getEncoded, hasEncodedTagValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DERNumericString

    public DERNumericString(java.lang.String string)

  Basic constructor - without validation..

### DERNumericString

    public DERNumericString(java.lang.String string,
                            boolean validate)

  Constructor with optional validation.

Parameters:
  `string` - the base string to wrap.
  `validate` - whether or not to check the string.
Throws:
  `java.lang.IllegalArgumentException` - if validate is true and the string contains characters that should not be in a NumericString.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD